
Redmine - Defect #14403

No error message if notification mail could not delivered

2013-07-06 01:26 - Mathias Walter

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 2.4.0   

Resolution: Fixed Affected version: 2.2.2

Description

As soon as one mail address of a user is wrong or does not exist anymore, no notification mails are send to any other involved or

watching user of an issue. Also, no error message is displayed and no log entry is made. Sending of notification mails in other

projects is not affected.

This bug report is strongly related to #123 but focuses on the traceability and logging.

It is not possible to find the cause of nondelivery notification mails until config.action_mailer.logger = nil in

config/environments/production.rb is commented out. But still no error message is logged. Someone has to guess which of the mail

addresses is invalid.

Associated revisions

Revision 12010 - 2013-07-13 10:11 - Jean-Philippe Lang

Log email delivery errors (#14403).

History

#1 - 2013-07-06 01:30 - Mathias Walter

One strange thing is that sending a mail over the same mail server as configured in Redmine to two or more recipients with one invalid address but

using a standard mail client works well. Any recipient with a valid mail address gets the mail and the sender gets a non-delivery mail just for the

invalid address.

I wonder why the redmine mailer behaves differently.

#2 - 2013-07-07 21:19 - Sergey Barkalov

rv

#3 - 2013-07-12 21:40 - Jean-Philippe Lang

Mathias Walter wrote:

I wonder why the redmine mailer behaves differently.

 Redmine does not behaves differently. Try to send an email with your email client to the exact same recipients and using the same SMTP server, it

should fail as well.

#4 - 2013-07-13 10:12 - Jean-Philippe Lang

- Subject changed from no error message if notification mail could not delivered to No error message if notification mail could not delivered

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 2.4.0

- Resolution set to Fixed

Email delivery errors are now logged in the application log file (r12010).

#5 - 2013-08-15 18:01 - Bruno Medeiros

Is it possible to backport it to 2.3.x branch? I'm investigating a few problems regarding email not being delivered and it would be very useful!
